  - name: /tests/tmt/tests/smoke-test
    summary: Execute smoke Playwright E2E tests.
    description:
    author: []
    contact: []
    enabled: true
    order: 50
    link: []
    id:
    tag:
      - smoke
    tier:
    component: []
    test: "set +e\n\ngit clone https://github.com/podman-desktop/podman-desktop \"\
        $TMT_TREE/podman-desktop\"\nexport PODMAN_DESKTOP_ARGS=\"$TMT_TREE/podman-desktop\"\
        \n(\n  cd \"$PODMAN_DESKTOP_ARGS\"\n  pnpm install\n  pnpm build\n)\n\n(\n\
        \  cd \"$TMT_TREE/tests/playwright\"\n  pnpm add -D @podman-desktop/tests-playwright@next\n\
        )\n\n(\n  cd \"$TMT_TREE\"\n  pnpm install\n  pnpm build\n  pnpm test:e2e:smoke\n\
        )\n\nEXIT_CODE=$?\nbash \"$TMT_TREE/tests/tmt/scripts/create-results.sh\"\
        \ \"$EXIT_CODE\" \"smoke\"\n"
    path: /default-0/tests/tests/tmt/tests
    framework: shell
    manual: false
    tty: false
    require: []
    recommend: []
    environment: {}
    duration: 1h
    result: custom
    where: []
    check: []
    restart-on-exit-code: []
    restart-max-count: 1
    restart-with-reboot: false
    serial-number: 1
    sources:
      - /var/ARTIFACTS/work-smokee9r3pw5z/tests/tmt/plans/ai-lab-e2e-plan-default/smoke/discover/default-0/tests/tests/tmt/tests/smoke-test.fmf
    discover-phase: default-0
